#include "stk.h"

int STKCheckName(unchar *name)
// 変数・ラベル名の文字をチェックする
{
unchar c;
	// <=$2f,$3a-$3fの記号文字は使えなくする(V2.6:<=' ' -> $2f,$3a-$3f変更)
	// これらの記号は２バイト文字の２バイト目にもないのでこれでok
	while ((c=*name++)>=0x30) { // EOSか使用不可文字まで
		if (c>=0x3a && c<=0x3f) break;
	}
	// EOSでなかったらエラー
	return(c==EOS? OK:VARILL);
}
